Bug 511347 - plymouth prevents suppression of kernel logging to console
plymouth prevents suppression of kernel logging to console
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 15:27 EDT by Thomas J. Baker
Modified: 2009-12-18 04:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:38:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2009-07-14 15:27:37 EDT
On Fedora 10 lshw triggers a kernel warning about deprecated pcmcia ioctls the first time it gets run after boot. I want to suppress that kernel message from appearing on the console when lshw is run from /etc/rc.local on a custom livecd. 

Plymouth seems to muck with the kernel.printk setting in a non obvious way. If I try to change the kernel.printk setting via /etc/sysctl.cfg, via loglevel=0 on the kernel command line, or via echo 0 > /proc/sys/kernel/printk right before lshw gets run in the rc.local, it does't work if plymouth is run. If I remove rhgb from the kernel command line so that plymouth is not run, all three ways work.

Is there anyway to have the svelt plymouth boot along with suppressed console logging?
Comment 1 Thomas J. Baker 2009-07-14 15:32:34 EDT
I should add that I only care about textmode plymouth and am running with nomodeset and vga=0x311 also on the kernel command line.
Comment 2 Ray Strode [halfline] 2009-07-29 15:10:44 EDT
right now we do this:

klogctl (6 /* disable printk */, NULL, 0)

when starting so that the kernel doesn't show messages in the progress bar

and then do

klogctl (7 /* enable printk */, NULL, 0)

to restore it to the default value when plymouth exits.

I wonder if disabling it and then reenabling it is some how resetting the configured loglevel?  Or maybe the kernel ignores requests to change the loglevel when kernel logging is disabled?

We may have to get this fixed in the kernel, but first we'll have to figure out which is happening.
Comment 3 Bug Zapper 2009-11-18 07:10:01 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:38:00 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.